About Artweaver

Artweaver is a simple Freeware program for creative painting, i.e. Artweaver offers you all artistic effects which you need for your work.

You can create sketches from photos and experiment with a wide range of brushes. The brush simulation is thereby so realistic as possible.

Advantages of Artweaver:
· Support of many different digital brushes e.g. chalk, charcoal, pencils...
· A wide variety of adjustment settings to customize the default brushes or to create new brushes.
· Standard image editing tools like gradient, crop, fill and selection tools.
· Support for the most common file formats like AWD (Artweaver), BMP, GIF, JPEG, PCX, TGA, TIFF, PNG, and PSD (no layer support).
· Transparency and Layers support.
· Effect filters like sharpen, blur, emboss and mosaic.
· Editable text layers.
· Pen Tablet support for a realistic feeling.
· History function to und/redo last editing steps.
· Expandable by Plug-In modules (Artweaver Standard).
· Support for many languages through language files.
· And much more...

© 2002-2007 Boris Eyrich


What's New in Artweaver 0.4?

· New, more clearly arranged program window
· New palette: Preview and Information
· New Impasto function with appropriate brushes
· Preset Manager for improved preset managing
· New paint methods: Clone, Mild Cover and Plug-In
· Perspective Grid added
· New Tools: Eraser, Stamp and Perspective Grid
· New color filters: Levels and Curves
· New file formats: PSD (no layer support), Photo CD and JPEG2000
· New effect filters: Lighting Effects, Fisheye, Lens and Drop Shadow
· Iterative Save added
· Support for 8-bit selections added
· Selections saving and loading added
· Polygon selection tool added
· Improved support for other languages through language files
· Calibration for Pen Tablets added
· Last effect filter can now be repeated
· ABR-Brushes import
· Support for Windows 98, Windows ME and Windows NT 4.0 removed
· Many improvements and bug fixes


Support

If you need help for Artweaver or do you have questions, please contact the Artweaver Support Forum. You can find the Artweaver Support Forum at www.Artweaver.de/forum .

General information for new versions and additional extensions are available at www.Artweaver.de . If you have suggestions for this help or Artweaver, please contact us at www.Artweaver.de .


Install Artweaver

System requirements:

· Windows 2000 or Windows XP.
· Pentium compatible processor, 600 MHz or greater (1000 MHz recommended).
· 128 MB RAM (256 MB recommended).
· 30 MB of available hard disk space.
· 800*600 pixels or greater monitor resolution (1024*768 pixels recommended).
· 15-bit color display (24-bit recommended).
· A Pen Tablet is recommended.

Installation Notes:

The setup program shows several input dialogs. It is recommended to leave all settings at default except there is a strong reason to change them. You can accept the default settings by clicking on Ok, Yes or Next.

You can download the setup program at www.Artweaver.de .


Remove Artweaver

If you really want to remove Artweaver, you can do this with the following steps:

Go to the System Control and double-click on "Add/Remove Software". Now search for the entry "Artweaver" and click on it. The uninstall program will be executed and removes Artweaver from your system.


License

Copyright © 2002-2007 Boris Eyrich. All rights reserved.

This software is distributed as it is without any warranty. The author is not responsible for possibly damage, which is caused by use of the software.

This software may be distributed only completely, i.e the installation program and only in the original condition. For the use of the software no royalties or similarly are needed. This software is distributed as "Freeware" and it's not allowed to sell it by third parties. For publications on CD, magazines... the author has to be informed.

This software is still in the test phase, i.e. program instabilities, program crashes and even system crashes can occur. Therefore the use is at your own risk.

For the software there is no free email support. For questions about the software please visit the forum on the software homepage.

You get more information on the software homepage:
www.Artweaver.de


Main Window

The Main Window has been designed to give you easy access to tools, effects, commands, and features. It is organized across a series of menus and interactive palettes.
Main Window
Property Bar
Tools palette
Brush palette
Information palette
Color palette
Objects palette


Guides and Grid

The document window features guides and grid that help you position and size images and image elements.

Guides

Guides are nonprinting lines that appear over the image in the document window. They are very helpful in aligning image elements. You can place guides at any position in the document window and easily reposition and remove them. Guides can also be locked so that they can't be dragged.

To display or hide guides
· Choose Main Window menu -> View -> Show Guides or Hide Guides.

To create a guide
· Show the guides.
· Choose Main Window menu -> View -> New Guide.
· Specify in the New Guide dialog box the orientation and position for the new guide.

The document window shows a horizontal and vertical guide

To reposition a guide
· In the Tools palette, click the Move tool [image] .
· Drag the guide to any point in the document

To remove all guides
· Choose Main Window menu -> View -> Clear Guides.

The Grid

Artweaver provides a grid to help you in laying down brush strokes or creating shapes. You can set the size and color of the grid.

Preferences "Guides & Grid"

To display or hide the grid
· Choose Main Window menu -> View -> Show Grid or Hide Grid.

To set grid options
· Choose Main Window menu -> Edit -> Preferences.
· Choose in the Preferences dialog box Guides & Grid.
· Click the Grid Color field to set the color of the grid lines.
· Enter a value for the Grid Size.

The Perspective Grid

A perspective grid helps you to create three-dimensional images. Perspective grid is a nonprinting array of lines that converge at a single vanishing point. You can set the type, line color, and spacing of the perspective grid. You can also modify the location of the vertical plane and horizon line by using the Perspective Grid tool. Any perspective grid that you create or modify can also be opened for use in another drawing.

Use perspective grid lines to help you create 3D images.

To display or hide the default perspective grid
· With an image open, click the following form the Main Window menu: View -> Show Perspective Grid or Hide Perspective Grid.

To create a new perspective grid
· In the Tools palette, click the Perspective Grid tool [image] .
· On the property bar, enable the check boxes corresponding the grids you want to see.
· Choose a color for the horizontal und vertical grid lines in the Horizontal Grid Color box and Vertical Grid Color box.
· Enter a value in the Spacing box.
· On the property bar, click the Save Grid button.
· In the Save Grid dialog box, enter a name in the Name box.

To open a perspective grid
· In the Tools palette, click the Perspective Grid tool [image] .
· On the property bar, choose a grid from the Presets box.

To remove a grid preset
· In the Tools palette, click the Perspective Grid tool [image] .
· On the property bar, choose a grid from the Presets box.
· Click on the Delete Grid button.

To adjust the perspective grid lines
· Choose Main Window menu -> View -> Show Perspective Grid.
· In the Tools palette, click the Perspective Grid tool [image] .
· To move the horizontal plane grid, hold the cursor over the nearest edge of the horizontal grid. The cursor becomes a double-pointed arrow.
· Drag to move the horizontal plane grid up or down.
· T move the vertical plane grid, hold the cursor over the nearest edge of the vertical grid. The cursor becomes a double-pointed arrow.
· Drag to move the vertical plane grid left or right.


Plug-Ins

Plug-Ins are software modules that extend the capabilities of Artweaver. Many Plug-Ins come with Artweaver. Other Plug-Ins are available from third-party software developers.

Artweaver uses the following types of Plug-Ins:
· Effects filters offer special effects for raster images. You can access available filters from the Filters menu.
· File format Plug-Ins extend the support for opening and/or saving different image formats.
· Import Plug-Ins support acquisition of images through external devices (such as scanners and digital cameras) and file formats not built into the application.
· Export Plug-Ins export image data and support special output devices.

Installing Plug-Ins

All Plug-Ins are specific to Artweaver and must reside in the Artweaver Plug-In folder.

To install new Plug-Ins
· Follow the installation instructions provided by the Plug-In manufacturer.
· If you installed the Plug-In in the Artweaver Plug-In folder, Artweaver automatically loads the Plug-In during startup.
· If Artweaver is running, restart it to activate the new Plug-In.


Pen Tablet Support

Artweaver supports Pen Tablets, incl. pressure sensitive pens.

Pen Calibration

You can individually adjust the pressure of your pen to your own needs.

Preferences Pen Calibration

To adjust pen pressure to your own needs
· Choose Main Window menu -> Edit -> Preferences.
· Choose in the Preferences dialog box Pen Calibration.
· Enter a value for the Maximum Pressure and Minimum Pressure for the pen.
· Enter a value for the Pressure Distribution for the pen.

Expression
Settings you make in the tab Advanced of the Brush palette allow you to tie brush features like Opacity, Grain, Angle, Size, Jitter, Feature, Hose and Flow to pen data, such as Speed, Direction and Pressure.

Using Multiple Pens (only Wacom® Intuos)
All Intuos pens feature ToolID, which allows you to configure and work with multiple pens during a Artweaver session.


Paper Textures

In the real world, a marking tool has different results when applied to surfaces with different textures. Artweaver allows you to control the texture of the canvas to achieve the results you’d expect from natural media on a given surface..

You can use paper textures in many ways. Brushes interact with paper grain, just as natural tools react with the texture of the surfaces beneath them.

Most of the brushes interact with the current paper texture.

Choosing Paper Textures

The Paper palette is where all paper textures are stored. In addition to using it to select papers, you can use this palette to invert, resize and control brightness and contrast.

Paper palette

To choose a paper texture
· Click the arrow next the paper texture preview. The Paper palette is expanded.
· Choose a paper texture from the Paper palette.
Artweaver tiles the paper texture to cover as much canvas as needed
Artweaver uses the currently selected texture. You can make a few strokes, and then change the paper and make a few more strokes to get different results.

To capture paper texture
· Open or create an image.
· Select all or a piece of your image.
· Click the arrow next the paper texture preview. The Paper palette is expanded.
· Click the palette menu arrow, and choose Capture Paper.
· Type the name of your new texture, and click OK.

To import paper texture
· Click the arrow next the paper texture preview. The Paper palette is expanded.
· Click the palette menu arrow, and choose Import Paper.
· Choose the file you want to import, and click on OK.

To edit paper texture
· Click the arrow next the paper texture preview. The Paper palette is expanded.
· Click the palette menu arrow, and choose Edit Paper.
· Modify the image.
· Select all of your image.
· On the Paper palette, click the palette menu arrow, and choose Capture Paper.
· Type the name of your new texture, and click OK.

Controlling Brightness and Contrast of Paper Texture

Brightness can be thought of as controlling the depth of the paper texture. Paper that is less bright acts as if the texture is shallow.

Contrast can be thought of as controlling the steepness of the paper texture. The texture in higher-contrast paper changes from high to low more quickly and with fewer intermediate levels than the texture in lower-contrast paper.

To change paper texture brightness
· Click the arrow next the paper texture preview. The Paper palette is expanded.
· Adjust the Brightness slider to modify the brightness of the paper texture.

To change paper texture contrast
· Click the arrow next the paper texture preview. The Paper palette is expanded.
· Adjust the Contrast slider to modify the contrast of the paper texture.

Inverting and Scaling Paper Textures

Think of paper texture as a three-dimensional landscape. Usually, brushes react to paper texture by coloring peaks and ignoring valleys. You can enable the Invert Paper option to make color fill the valleys instead of the peaks. You can also adjust the paper texture scale to resize the paper texture. Scaling texture affects how the texture appears in brush strokes and images.

To invert paper texture
· Click the arrow next the paper texture preview. The Paper palette is expanded.
· Activate the option Invert Paper.

Two brush strokes overlapping. The blue one was painted with the texture inverted.

To change paper texture scale
· Click the arrow next the paper texture preview. The Paper palette is expanded.
· Use the Scale slider to resize the paper texture.
Scaling large textures can use a great deal of RAM. Most textures are from 50 to 400 pixels square at 100% scaling.

Brush strokes on paper textures with different scale values.


Color

You can select colors in several ways. You can use:
· The color squares on the Color palette
· The Dropper tool, which samples color from the image
· The Use Clone Color setting, which pulls color from a source
· The Color Sets palette

The Color palette

Changing the Paper Color

You can change a document’s paper color, thus the color of the background canvas, at any time. This color appears when you delete a filled area or use a brush from the Erasers category to remove color.

An example of changing the paper color.

To display the Color palette
· Choose Main Window menu -> Window -> Show Color.

To change the existing paper color
· Choose a foreground color from the Color palette.
· Choose Main Window menu -> Image -> Set Paper Color.
· To expose the new paper color, do one of the following:
· Make a selection, and cut or delete it.
· Use a brush from the Erasers category and erase part of your image.

Using the Color Palette

The Color palette displays the Hue Ring and the Saturation/Value Triangle.

Hue Ring and Saturation/Value Triangle.

· Values span the triangle from bottom to top, with the bottom of the triangle being the highest value (white) and the top being the lowest value (black).
· Saturation levels go from left to right. Dragging or clicking to the right produces the purest color within the predominant hue. Dragging or clicking to the left reduces the level of color saturation, producing “muddier” or grayer colors.

To choose a hue and color from the Color palette
· Drag the circle on the Hue Ring to select the predominant hue. The Saturation/Value Triangle displays all available colors within that selected hue.
· Select a color on the Saturation/Value Triangle by dragging the circle or by clicking the color you want.
You can also select a hue by clicking once anywhere on the Hue Ring.

Foreground and Background Color

The color you select appears in one of two overlapping squares displayed on the Color palette. The front square represents the selected foreground color. The back square shows the selected background color. By default, black is the foreground color, and white is the background color. Most of the time, you work with the foreground color.

Overlapping squares display the current foreground and background color.

To chose the foreground color
· Choose Main Window menu -> Window -> Show Color to display the Color palette.
· Double-click the front square.
· Choose a color from the Color Picker dialog.

To choose the background color
· Choose Main Window menu -> Window -> Show Color to display the Color palette.
· Double-click the back square.
· Choose a color from the Color Picker dialog.

To swap foreground and background colors
· Click the Color Swap Icon [image] .
You can also swap the foreground and background color by pressing [image] on the keyboard.

Sampling Colors from Images

In addition to choosing colors on the Color palette, you can use the Dropper tool to select, or pick up a color from an existing image.

To use the Dropper Tool
· Click the front or back quare to select a foreground or background color.
· In the Tools palette, click the Dropper tool [image] .
· Move the cursor to the cursor you want to pick up, and click it.
The Dropper tool picks up visible color only; it cannot be used to select a hidden color.
You can quickly access the Dropper tool by pressing [image] on the keyboard.

To access the Dropper tool from other tools
• Press [image] on the keyboard.

Cloning Color

The Clone Color option offers another way to choose color. This feature lets the brush pick up dabs of color from an original (source) image. This produces realistic results.

To set up a clone source
· Choose Main Window menu -> File -> Open, and choose the file you want to use as a clone source.
· Choose Main Window menu -> File -> Clone.
· Choose Main Window menu -> Select -> All, and press [image] on the keyboard.
· Now you can work in the new file, taking data from the original source file.

To use clone colors
· Set up a clone source. If you don't set a file, the first opened file is used.
· Choose a brush from the Brush Selector.
· Choose Main Window menu -> Window -> Show Color to display the Color palette.
· Click the Clone Color button [image] on the Color palette.
· When you paint in the clone file, the colors from the clone source image are used.
Enabling the Clone Color [image] option disables the Color palette. This is a reminder that your color information is coming from the clone source


Color Sets

You can organize groups of colors in the Color Set palette and choose one by clicking a color. Only one color set can be open at a time, but you can easily load a different set.

The Color Set Palette

To display the Color Set palette
· Choose Main Window menu -> Window -> Show Color Set.

To choose a color from a color set
· On the Color Set palette, click a color.

To open a color set
· On the Color Set palette, click the palette menu arrow and choose one of the following:
· Load Color Set add new colors to the current Color Set. Select a Color Set you want to use, and click Open.
· Replace Color Set replaces the current Color Set with a new Color Set. Select a Color Set you want to use, and click Open.
· Click a Color Set file and choose if the current Color Set should be replaced or new colors should be added.

To save a color set
· On the Color Set palette, click the palette menu arrow and choose Save Color Set.
· Enter a name for the Color Set in the Filename box.
· Click Save.
You can save a Color Set everywhere. If you save a Color Set in the Artweaver Standard\Color Sets directory, Artweaver loads all Color Sets in this directory and show their names in the Color Set palette.

To revert to the default color set
· On the Color Set palette, click the palette menu arrow and choose Reset Color Set.
· Click Yes.

Customize Color Set Layouts

You can determine the size of color swatches into three different sizes.

To adjust color swatch size
· On the Color Set palette, click the palette menu arrow and choose Palette Options.
· Choose a color swatch size and click OK.

Creating Color Sets

You can create your own color sets to control the colors in particular projects or to create groups of favorite painting colors.

You can create color sets from:
· An Image
· A selection on an image
· A layer
Before you create a new color set, you may be prompted to save the current color set.

To create a color set form an image, selection, or layer
· On the Color Set palette, click the palette menu arrow and choose one of the following:
· New Color Set from Image is available only if you have an image open. A color set appears, containing all the colors in the image.
· New Color Set from Layer is available only if an active layer is selected in your image. A color set appears, containing all the colors in the active layer.
· New Color Set from Selection is active only if you have an active selection on your image. A color set appears, containing all the colors in the selected area of the image.

Editing Color Sets

You can customize color sets by adding, or deleting colors. You can also append colors to a color set.

To add a color
· Choose the color you want to add from the Color palette, a color set, or an existing image.
· On the Color Set palette, click the Add Color button [image] .
· Repeat this procedure for all colors you want to add.

To delete a color
· Choose Main Window menu -> Window -> Show Color Set.
· On the Color Set palette, click the Delete Color button [image] .
· Klicken Sie auf Farbfeld löschen [image] .
· The last color will be deleted in the current color set.

To append colors to a color saet
· On the Color Set palette, click the palette menu arrow and choose Load Color Set.
· Select the Color Set you want to use, and click Open.


Color Variability

Color variability allows you to create brush strokes of more than one color. Variability can be used to enhance the Natural-Media appearance of your work. Color variability can be set for HSL or RGB mode, and it can be based on the current gradient or color set.

Color Variability

To display the option Color Variability
· Choose Main Window menu -> Window -> Show Brush.
· On the Brush palette, click the tab Advanced.

To set color variability in HSL mode
· On the Color palette, choose a foreground color.
· Display the option Color Variability.
· Choose in the Color Variability box in HSL.
· Adjust the Hue (±H), Saturation (±S), and Luminance (±L) sliders to control hue, saturation, and luminance ranges for color variability.
· Moving the Hue (±H) slider to the right increases the number of hues in the resulting brush stroke. These colors are the ones adjacent to the selected color on the color wheel.
· Moving the Saturation (±S) slider to the right increases variability in the color intensity of the brush stroke.
· Moving the Luminance (±L) slider to the right increases variability in the brightness of the brush stroke.
When you save a brush variant, the current color variability setting is also saved.

To set color variability in RGB mode
· On the Color palette, choose a foreground color.
· Display the option Color Variability.
· Choose in the Color Variability box in RGB.
· Move the ±R (Red), ±G (Green), and ±B (Blue) sliders to control color variability of red, green, and blue values.

To set color variability based on the current color set
· On the Color palette, choose a foreground color.
· Display the option Color Variability.
· Choose in the Color Variability box from Color Set.
· Color variability is now based on random colors from the current color set.

To set color variability based on the current gradient
· On the Color palette, choose a foreground color.
· Display the option Color Variability.
· Choose in the Color Variability box from Gradient.
· Color variability is now based on random colors from the current gradient.


Gradients

A gradient is a gradual transformation from one color into another. Sometimes gradients are called blends or fountains. Artweaver provides several different types of gradients: linear, radial, square, bilinear, spiral, and conical.

Left to right: linear, radial, square, bilinear, spiral, and conical gradients.

You can use gradients to:
· Fill an image or layer.
· Express the gradient in an existing image by mapping gradient colors to image luminance.
· Paint with gradient in conjunction with Color Variability.

The Gradient palette

To select a gradient
· Click the arrow next the gradient preview. The Gradient palette is expanded.
· Choose a gradient from the Gradient Palette.
· Click one of the gradient types on the top of the Gradient palette: Linear Gradient, Radial Gradient, Square Gradient, Bilinear Gradient, Spiral Gradient, and Conical Gradient.
· The Gradient Preview Window shows how current settings affect a selected gradient.

To change gradient angle
· Click the arrow next the gradient preview. The Gradient palette is expanded.
· Drag the red ball in the Gradient Angle Ring, or click once anywhere on the ring to change the gradient angle.
· A corresponding numeric value appears below the Gradient Preview Window.

Creating and Editing Gradients

You can create very simple to very complex gradients. For a simple two-point gradient, you only need to choose a foreground and an background color. For more complex gradients, you can use the Edit Gradient dialog box or capture gradients from existing artwork. Color Segments in the Edit Gradient dialog box specify the point at which a new gradient starts.

Edit Gradient dialog box

To create a two-point gradient
· Choose Main Window menu -> Window -> Show Color.
· On the Color palette, click the Foreground Color square, and choose a foreground color.
· Click the Background Color square, and choose a background color.
· Click the arrow next the gradient preview. The Gradient palette is expanded.
· Choose Two-Point gradient.

To edit or create a complex gradient
· Click the arrow next the gradient preview. The Gradient palette is expanded.
· Click the palette menu arrow, and choose Edit Gradient.
· The color ramp bar across the top of the Edit Gradient dialog box displays the current gradient. The colored squares along the bottom of the color ramp bar are color segments. You can position these segments to change the color of the blend at individual gradient points.
· Click a color segment to select it.
· Click the Segment Color square, and choose a segment color.
· Repeat both prior steps for each color segment you want to edit.

To add color segments
· Click the arrow next the gradient preview. The Gradient palette is expanded.
· Click the palette menu arrow, and choose Edit Gradient.
· In the Edit Gradient dialog box, click anywhere below the color ramp bar. The color segment is added.
· Click the new color segment to select it.
· Click the Segment Color square, and choose a segment color.

To delete color segments
· Click the arrow next the gradient preview. The Gradient palette is expanded.
· Click the palette menu arrow, and choose Edit Gradient.
· Click a color segment to select it.
· Press [image] on the keyboard to delete the color segment.
For a two-point gradient, you set a color for the right color segment and then set a color for the left color segment.

To save a gradient
· Click the arrow next the gradient preview. The Gradient palette is expanded.
· Click the palette menu arrow, and choose Save Gradient.
· In the Save Gradient dialog box, enter a name for the gradient.

Changing Gradient Color Hue

Color hue is represented in the Edit Gradient dialog box by circles located at the midpoints between the adjacent color segments. They allow you to change the hue of the blend within that segment.

To change the color hue
· Click the arrow next the gradient preview. The Gradient palette is expanded.
· Click the palette menu arrow, and choose Edit Gradient.
· Drag one of the circles below the color ramp bar to change the color hue.

Capturing a Gradient from an Image

You can use any existing image as a source for creating new gradients.

To capture a gradient
· Select a area, making the selection as narrow as possible. Artweaver uses the first row starting at the upper left for the gradient.
· Click the arrow next the gradient preview. The Gradient palette is expanded.
· Click the palette menu arrow, and choose Capture Gradient.
· In the Save Gradient dialog box, type a name for the gradient.

Mapping a Gradient to Luminance in a Image

You can map a gradient to an existing image, replacing an image’s colors with those of the gradient. This effect applies gradient colors to the pixels of the image, based on their luminance values.

Map Gradient

To map a gradient in an image
· Open the image you want to use
· Click the arrow next the gradient preview. The Gradient palette is expanded.
· Click the palette menu arrow, and choose Map Gradient.


Painting

Artweaver lets you draw and paint as you might with real artists’ tools and media. Thereby an infinite variety of marks are possible.

The Brush tool offers users a wide range of preset painting and drawing tools called brush variants. Brush variants are organized into categories, such as Airbrushes, Calligraphy and Pencils. They are designed with real media in mind, so you can select a tool with an expectation of how it will behave. The Brush palette lets you choose a category and brush variant quickly and easily.

The Brush palette lets you choose a brush category (left) and a brush variant (right) quickly and easily.

You can use the brush variants as they are, or you can adjust them to suit your purposes. If you want to make more extensive modifications to a brush or create a totally new brush variant, you can do just that by using the Brush palette.

Most brushes apply color to an image. Some brushes, however, do not apply color. Instead, they make changes to color already in the image. For example, the Smear brush variant (in the Distortion brush category) smudges existing colors in the image with smooth strokes. Using one of these brushes on a blank area of the canvas has no effect.

Selecting a Brush

On the Brush palette, you can choose from brush variants that are arranged in recognizable categories. Those brushes are built to emulate Natural-Media tools, which lets you select a tool with a reasonable expectation of how it will behave.

To display the Brush palette
· Choose Main Window menu -> Window -> Show Brush.

To choose a brush
· On the Brush Palette, choose a brush category from the Brush Category selector.
· Choose a variant from the Brush Variant selector.
You can also choose a brush on the property bar of the Brush tool [image] .

Choosing Brush Settings

Basic brush controls for size, opacity, and grain are located on the property bar. The property bar may also contain additional controls for the selected brush category, such as resaturation, bleed, and jitter.

When a brush is selected and positioned over the canvas, the cursor changes, by default, into a ghost of the brush (mirroring size and shape) so you can see the area that you’re about to paint. This ghost brush provides a handy way to see if a change in size is required.

The Brush palette contains other controls, depending on the selected variant. The Brush palette offers more sophisticated controls for resizing and shaping brushes, including a Minimum Size setting. When a brush takes advantage of the Minimum Size setting, you’ll see strokes taper and widen as pen pressure or direction is varied.

To set brush size
· In the Tools palette, click the Brush tool [image] .
· Choose a brush from the Brush palette.
· On the property bar, type a value in the Size box, or adjust the slider.

To use the resize shortcut
· Hold down [image] on the keyboard.
· With the Brush tool, drag in the image window.
· A circle representing the brush size is displayed beside the pointer. When the circle is the size you want, release the mouse button.
You can also adjust brush size by using the square bracket keys: To increase brush size incrementally, click the right square bracket ( [image] ) key. To decrease brush size incrementally, click the left square bracket ( [image] ) key.

Adjusting Opacity and Grain

The Opacity slider controls the degree to which a stroke covers or builds up on the underlying pixels.

100 % opacity (top) and 30 % opacity (bottom).

The Grain slider controls how much color penetrates into the paper texture. Lower settings show less of the paper texture.

30 % grain (top) and 100 % grain (bottom).

To set opacity
· In the Tools palette, click the Brush tool [image] .
· Choose a brush from the Brush palette.
· On the property bar, type a percentage in the Opacity box, or adjust the slider.
When Opacity setting is low, the applied color is thin, allowing you to see through to the underlying colors. When the setting is high, the applied color covers underlying pixels more completely.

To set grain
· On the property bar, type a percentage in the Grain box, or adjust the slider.
· Move the slider to the right to reduce penetration and reveal more paper texture. Move it to the left to increase penetration and reveal less paper texture.
For Image Hose brushes, Grain controls the mixture with the background color. For other brushes, such as airbrushes, the Grain slider is not available.


Exploring Painting

You can paint on the canvas or on a layer above the canvas. When you select a layer on the Layer palette, that layer becomes the target for your brush strokes. When you have an active selection, painting is confined to the selection.

You mark the canvas by selecting the Brush tool and dragging in the document window with a brush variant that applies colors or images. Each time you drag, you create a brush stroke.

When you use complex brush variants, you may see a delay before the mark appears. When you experience a delay, you can queue up strokes, without losing any stroke data.

Freehand vs. Straight-Line Drawing

You can draw unconstrained lines by using the Brush tool, or you can draw straight lines by using the Line tool. The right tool can be selected in the Tools palette.

With the Brush tool, you drag to create strokes.

With the Line tool, you click to create the first point and then click or drag to create a stroke.

To draw freehand lines
· In the Tools palette, click the Brush tool [image] .
· Choose a brush from the Brush palette.
· Drag on the canvas.

To draw straight lines
· In the Tools palette, click the Line tool [image] .
· Choose a brush from the Brush palette.
· Do one of the following:
· Click the point where you want to end the line.
· Drag to place the end point exactly where you want it.
· To continue drawing from the second point, enabled on the property bar the Polygon check box, and click or drag to create additional points on the canvas.
· To end a line, do one of the following:
· Press Enter to close the polygon. The final point is connected to the original with a straight line.
· Disable on the property bar the Polygon check box.
You can use shortcut keys to toggle between the tools. Press [image] to choose the Brush tool, or [image] to choose the Line tool.

Undoing Strokes

If you apply a stroke, but want it to be less opaque or faded. You can use the Undo command to remove it. You can repeat the command to remove previous strokes.

To undo a stroke
· Choose Main Window menu -> Edit -> Undo.
You can also undo a stroke by pressing [image] + [image] on the keyboard.

Letting Color Pool

The Brush tool allow color to build up or pool when you move a brush slowly. Pooling creates very realistic strokes, especially with airbrushes. You can also cause media to pool by simply touching and pausing with the selected brush. You can enable this feature in the Brush Palette.

To enable color pooling
· Choose Main Window menu -> Window -> Show Brush.
· On the Brush palette, click the tab Advanced.
· Enable the Continuous Time Deposition [image] check box.

When the Continuous Time Deposition [image] check box is disabled, you must move the brush (even just slightly) to cause color to be deposited.

With an airbrush, paint pools when you pause a stroke for 4 seconds (left), 2 seconds (middle), and 1 second (right).


Working with Fill

Artweaver gives you many options for filling images with media. You can use a gradient, or color to fill an area of an image. You can also use the Paint Bucket tool to fill image areas based on pixel color.

To fill an area of an image
· Do one of the following:
· If you want to fill only part of an image, select the area of the image you want to fill.
· If you want to fill the entire image, make sure there are no selections.
· Choose Main Window menu -> Image -> Fill, or press [image] + [image] on the keyboard.
· In the Fill dialog box, enable one of the following filling options:
· Paper Color
· Foreground Color
· Background Color
· Black
· 50% Gray
· White
· Gradient
· Adjust the Opacity slider.
Artweaver uses a color, or the current gradient. Before filling, choose the media you want from the corresponding selector in the Brush palette.

Filling Images Based on Color

You can use the Paint Bucket tool to fill image areas based on pixel color. The areas are filled based on color boundaries and the current Tolerance setting.

Tolerance sets the amount of variance allowed from the color of the pixel you choose. With a low Tolerance setting, the Paint Bucket fills only pixels that are very close to your chosen pixel color. With a high Tolerance setting, the Paint Bucket fills a greater range of colors.

To fill an image based on color
· In the Tools palette, click the Paint Bucket tool [image] .
· On the property bar, chose one of the following options form the Fill box:
· Paper Color, which fills with the paper color.
· Foreground Color, which fills with the current foreground color.
· Background Color, which fills with the current background color.
· Gradient, which fills with the current gradient.
· Type a value in the Tolerance box, or adjust the slider, to specify the range of colors to be filled.
· Click the area of the image you want to fill.
If the result is not what you want, undo the fill, change the settings, and try again.


Brush Palette

The Brush palette makes it easy to create brush variants. You can adjust brushes in many different ways. In fact, the default brush variants in the Brush Selector on the Brush palette are built with the same set of controls used to build every other variant. They have just been adjusted until the results emulate a real-life drawing tool.

Although these default brushes do excellent work, you will probably want to adapt them to your particular needs, refining them to fit your own style of working. You can change their Size, Shape, Angle, Spacing, and much more.

Changes you make to brush variants, including basic controls like Size and Opacity, are saved until the Restore Default Variant command is selected.
When Artweaver starts, it references the folder Brushes in the user folder. Any customizations made to brushes are saved to this folder and are referenced by Artweaver in place of the original default brushes and settings stored in the application folder.

Brush palette with active tab General (left), Brush palette with active tab Advanced (center) and Brush palette with active tab Impasto (right)

To display the Brush palette
· Choose Main Window menu -> Window -> Show Brush.

To save current settings as a custom variant
· On the Brush palette, click the palette menu arrow and choose Save Variant.
· In the Save Variant dialog box, typ a name for the new variant.
· Click OK.

To save current settings as a default variant
· On the Brush palette, click the palette menu arrow and choose Set Default Variant.

To return the current brush variant to default settings
· On the Brush palette, click the palette menu arrow and choose Restore Default Variant.

To return all brush variants to default settings
· On the Brush palette, click the palette menu arrow and choose Restore All Default Variants.
Please note, that with the command Restore All Default Variants all custom brush settings are lost.


Adjusting and Editing Brushes

You can access settings and controls on the Brush palette to modify and customize brush variants.

Brush Types

Brush Types are methods of media application.

To choose a brush type
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· On the Brush palette, click the tab General.
· Choose a brush from the Brush palette.

Type | Description
Circular | Dabs are controlled by the sliders Size and Angle and have a circular look.
Single-Pixel | Consists of one pixel only. You can’t change its size.
Bristles | Create brushes with circular arranged bristles. The Feature slider on the property bar separates bristles.
Palette Knife | Create brushes to scrape, push, pick up, or rapidly drag colors along. The Feature slider on the property bar separates bristles.
Airbrush | Creates brushes that act like airbrushes. The Feature slider on the property bar controls the size of the individual droplets of media.
Pixel Airbrush | Creates brushes that work like airbrushes. Brushes that use Pixel Airbrush cannot use the Feature slider to control the size of individual droplets of media.
Captured | Shapes that you create and capture.
Image Hose | Uses one or more images as dab.

Methods and Categories

The brush method defines the most basic level of brush behavior and is the foundation on which all other brush variables build.

Because the method sets a brush variant’s most basic behavior, you can alter a variant’s behavior by changing its method.

Each method can have several variations, called method categories. These categories further refine the brush behavior. The following terms are used in describing most method categories:
· Soft methods produce strokes with feathered edges.
· Flat methods produce hard, aliased strokes with pixelated edges.
· Hard methods produce smooth strokes.
· Grainy methods produce brush strokes that react to paper texture.

Combining a method with a method category results in a specific brush style that you can assign to a given brush.

To choose a method and category
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· On the Brush palette, click the tab General.
· Choose a method from the Method box.
· Choose a category from the Category box.

Method | Description
Cover | The Cover method produce brush strokes that cover underlying strokes.
Buildup | The Buildup method produce brush strokes that build toward black as you overlay them.
Eraser | The Eraser method erase the underlying colors, or replace the underlying colors by the paper color.
Smear | The Smear method interact with the underlying colors to distort the image.
Clone | The Clone method take images from a clone source and re-create them in another location.
Other | The Other method lighten, or darken the underlying colors, or apply effect filter.

Opacity and Grain

The Opacity slider determines how the density of the media should be applied. It sets the maximum opacity of the selected brush. You can use the Expressions settings to link Opacity to pen or mouse data.

The Grain slider determines the maximum amount of paper texture that should reveal in a brush stroke. You can use the Expressions settings to link Grain to pen or mouse data. You can also use the paper’s brightness and contrast settings to control Grain interaction.

To set brush opacity
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· On the Brush palette, click the tab General.
· Move the Opacity slider to the left to reduce opacity, or to the right ti increase opacity.

To set brush grain
· Choose Main Window menu -> Window -> Show Property Bar to display the Property Bar.
· Move the Grain slider to the left to increase the penetration into the paper texture. Move it to the right to reduce the penetration.

Size Controls

The Size slider determines the width of the brush stroke. The Minimum Size slider determines the minimum width of the brush stroke. You can use the Expressions settings to link Size to pen or mouse data.

The Brush Preview Window shows how your changes affect the brush. Clicking in this preview window lets you toggle between simple and original views of the brush.

To set brush size
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· On the Brush palette, click the tab General.
· Move the Size slider to the right to increase brush size, or to the left to reduce brush size.
You can also set the brush size on the property bar.
You can also adjust brush size by using the square bracket keys: To increase brush size incrementally, click the right square bracket ( [image] ) key. To decrease brush size incrementally, click the left square bracket ( [image] ) key.

To use the resize shortcut
· Hold down [image] on the keyboard.
· With the Brush tool, drag in the image window.
· A circle representing the brush size is displayed beside the pointer. When the circle is the size you want, release the mouse button.

To set minimum size
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· On the Brush palette, click the tab General.
· Move the Minimum Size slider to the right to increase the minimum width of the brush stroke. Move it to the left to reduce the minimum width.

Brush Tip Profiles

The brush tip, or profile, shows a cross-section of density distribution across the diameter of the dab.

Different media have different density distributions. Changes in the density distribution produce different marking qualities in a brush stroke.

The following brush tip profiles are available:

Medium Profile | Has a wide area of greater density at the center, with rapid falloff to the edge.
Dull Profile | Provides maximum density at the center, with high density weighting to the edge.
Linear Profile | Provides maximum density at the center, with even falloff to the edge.
Watercolor Profile | Provides maximum density at the outer edge in a ringlike fashion, with medium internal density.
1-Pixel Edge | 1-Pixel Edge provides maximum density throughout, with rapid falloff at the edge, producing a 1-pixel, anti-aliased edge.

Spacing Controls

When a brush is used, the stroke consists of a series of dabs. By adjusting the spacing between those dabs, you can control the continuity of the brush stroke.

The Spacing slider controls the distance between brush dabs in a stroke. Each dot or dash represents one brush dab.

Continuous Time Deposition controls whether you must move a brush before a medium is applied. With Continuous Time Deposition enabled, the medium begins flowing at the first touch.

When the Continuous Time Deposition [image] check box is disabled, you must move the brush (even just slightly) to cause color to be deposited.

To set brush spacing
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· On the Brush palette, click the tab General.
· Do one of the following:
· To increase the spacing between dabs, move the Spacing slider to the right bringing it closer to the size of the dab itself.
· To decrease the distance between dabs, move the Spacing slider to the left until the dabs begin to overlap.

To set Continuous Time Deposition
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· On the Brush palette, click the tab General.
· Enable the Continuous Time Deposition [image] check box.

Angle Controls

The Angle slider controls the angle of an elliptical brush and the length of the ellipse. You can use the Expressions settings to link Angle to pen or mouse data.

The Shape slider controls the shape of the brush. Squeezing a brush changes it from round to elliptical.

You use the Angle and Shape controls with Circular and Captured brush types.

To set brush shape
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· On the Brush palette, click the tab General.
· Move the Shape slider to the left to make the brush more elliptical. Move it to the right to make it rounder.

To set angle for a elliptical brush
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· On the Brush palette, click the tab General.
· Move the Angle slider to the right to rotate the brush counterclockwise. Move the slider to the left to rotate the brush clockwise.

Well Controls

The Resaturation, Bleed, and Dryout controls work together to determine how much color a brush has at the start and finish of a stroke.

The Resaturation slider controls the amount of color that is replenished in a stroke. If it is set at zero, the brush does not produce any color.

The Bleed slider controls how much the brush colors smear underlying colors, including the paper color.

The Dryout control determines how quickly a brush runs out of medium. Dryout is measured in pixels.

To set resaturation
· Choose Main Window menu -> Window -> Show Property Bar to display the Property Bar.
· Move the Resaturation slider to the left to reduce the amount of color replenished in stroke. Move it to the right to increase the amount of color.

To set color bleed
· Choose Main Window menu -> Window -> Show Property Bar to display the Property Bar.
· Move the Bleed slider to the left to reduce the amount of interaction with underlying pixels. Move it to the right to increase the interaction.

To set brush dryout
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· On the Brush palette, click the tab Advanced.
· Move the Dryout slider to the left to shorten the distance the brush can move before it dries out. Move it to the right to lengthen the distance.

Random Controls

The Jitter control introduces a randomized jitter to the brush stroke. Instead of appearing directly along the stroke, dabs appear randomly outside the brush stroke path.

To set brush Jitter
· Choose Main Window menu -> Window -> Show Property Bar to display the Property Bar.
· Move the Jitter slider to the left to decrease deviation from the stroke path, or to the right to increase the deviation.

Color Expression Controls

Color Variability allows you to create brush strokes of more than one color. Variability can be used to enhance the Natural-Media appearance of your work For more information, see Color Variability .

Expression Settings

You can control brush effects along the stroke based on a number of real-time input factors. You can use the Expression settings on the Brush palette to vary these effects.

To choose a Expression setting
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· On the Brush palette, click the tab Advanced.
· Choose a option from the Expression menu:

Expression | Description
None | Applies no adjustment to the brush feature.
Pressure | Adjusts the brush feature based on pen pressure. Greater pressure increases the setting for that brush feature.
Random | Adjusts the brush feature on a random basis.
Direction | Adjusts the selected brush feature based on the direction of the stroke.
Sequential | Increases the brush feature to maximum to begin again at minimum.
Speed | Adjusts the brush feature based on the dragging speed. Dragging quickly minimizes the setting; dragging more slowly increases it.


Managing Brushes

After you have customized a variant, you can use it immediately. In fact, adjusting brushes as you paint is something you will probably do often. Changes you make to brush variants are saved until the Restore Default Variant command is selected.

Saving Brush Variants

If you want to keep a customized version of a brush variant, you can save it as a new variant.

To save current settings as a custom variant
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· On the Brush palette, click the palette menu arrow and choose Save Variant.
· In the Save Variant dialog box, typ a name for the new variant.
· Click OK.
If you save a new brush variant, a new XML file is created in the Brushes folder.

To return the current brush variant to default settings
· Choose a brush variant from the Brush palette.
· On the Brush palette, click the palette menu arrow and choose Restore Default Variant.

To delete a brush variant
· Choose a brush variant from the Brush palette.
· On the Brush palette, click the palette menu arrow and choose Delete Variant.
· Click Yes to delete the variant.
The variant’s related XML file is deleted from the Brushes folder.

Capturing Brushes

You can create your own brush shapes. Any shape is possible.

When you have created a shape you like, select and capture it.

To capture a brush shape
· On a white background, draw a brush shape in black. Use shades of gray to define what you wish to be partially transparent areas of the brush.
· Select the brush shape.
· On the Brush palette, click the palette menu arrow and choose Capture Brush.
· Type a new name for the captured brush and click OK.
You can paint with a captured brush just as you would with other brushes.


Impasto

Impasto is the classic technique of applying thick paint on a canvas to create depth. In Artweaver, Impasto refers to the brush feature that allows brushes to paint with the illusion of depth. You can use different brushes to simulate different types of natural media, such as thick oil paint or chalk with texture.

To display or hide the Impasto Effect
· Choose Main Window menu -> View -> Show Impasto or Hide Impasto.

To create an Impasto Effect
· Choose Main Window menu -> View -> Show Impasto.
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· On the Brush palette, click the tab Impasto.
· Choose a drawing method from the Draw To pop-up menu.
· Choose an application method from the Method pop-up menu.
· Adjust the Depth slider to set how much depth the brush applies.
· Adjust the Smoothing slider to set the transitions in the texture.
· Paint on the canvas or layer.
The Smoothing slider controls how much a stroke interacts with other Impasto brush strokes. When a stroke with a high Smoothing value encounters another Impasto stroke, it keeps the depth of the existing stroke. A low Smoothing value against replaces the depth of the existing stroke.

To adjust Draw To and Application Method
· Impasto has three methods for Draw To:
· Color applies only color. You can set the color on the Color palette.
· Depth applies only depth to the image.
· Color and Depth applies both color and depth to the image.
· You can choose from three depth methods:
· Uniform applies depth evenly. Strokes have little texture.
· Erase levels the depth. If you’ve created texture strokes that you don’t like, you can use this setting to remove them.
· Paper uses the current paper texture to control depth.
Erase applies only to depth, not to color. With the Color and Depth Draw To method, the Erase method removes depth while applying color. The amount of depth removed depends on the value of the Depth slider. If you want to remove the entire Impasto stroke, set Depth to 100.

To invert a Depth Method
You can invert the depth method by using the Invert option. When a method is inverted, the negative of the source is used in the stroke.


Adjusting Impasto Effect

Adjusting Surface Lighting

Lighting can be a big part of the overall depth effect that Impasto creates. Just as the right lighting can bring out the deep-textured look of a stroke, the wrong lighting can wash out the effect altogether. The Surface Lighting controls let you set up the position and attributes of the light source that shine on your Impasto brush strokes. These controls are global — they affect all the Impasto brush strokes.

Setting Light Position
The lighting sphere shows all of the possible surface angles. The light indicator on the sphere shows the current position of the light source.

The lighting sphere

Setting Light Properties
· The Exposure slider globally adjusts the overall lighting amount from darkest to brightest.

Adjusting Depth

You can control the appearance of depth using the Amount and Shine settings. At any time, you can change these settings to produce different texture effects.

Adjustments affect the entire document. To change the depth of individual brush strokes, you can vary stylus settings or build up media.
· The Amount setting affects the thickness of the entire document. It does not affect individual brush strokes, nor does it affect other Impasto strokes.
· The Shine setting controls how much highlight appears on the surface of strokes.


Cloning Images

Painting with a clone brush is similar to painting with any tool, except that clone brush variants take their color information from a clone source instead of from the Color palette.

Painting in the Clone

When you paint with a clone brush, it picks up color from the clone source while you control the size and direction of brush strokes.

The Impressionist Cloner is just one of many interesting clone brush variants.

To paint with clone brushes
· Create a clone of the document you wish to paint.
· With the clone selected, choose Main Window menu -> Select -> All.
· Press [image] on the keyboard to clear the entire canvas.
· Choose Main Window menu -> Select -> Deselect.
· Choose a clone brush variant from the Brush palette.
· Paint in the image.
If you don’t set a clone source, clone brushes paint with imagery from the first opened image.

Using Point-to-Point Cloning

Point-to-point cloning lets you clone within a document or between different areas of separate documents. To apply point-to-point cloning, you must set a source reference point. Source reference points specify the area in the source document that you want to clone. To indicate the area of the source document you’re cloning, you can turn the crosshair cursor on.

To clone point to point within a document
· Do one of the following:
· Choose a clone brush variant from the Brush palette.
· Click the Clone Color button [image] on the Color palette.
· Choose Main Window menu -> File -> Clone Source, and choose the image you want to reference.
· Hold down [image] on the keyboard. A crosshair cursor appears.
· Click inside the source image to set the source reference point .A marker appears on the image, indicating the reference point for the source image.
· Begin painting in the destination area.

To change to a crosshair cursor
· Choose Main Window menu -> Edit -> Preferences.
· Choose in the Preferences dialog box Painting.
· Enable the Indicate Clone Source with Crosshairs while Cloning option.
The crosshairs indicate which area of the original image you are cloning as you paint.


Turning Brushes into Cloners

Artweaver offers two ways to use other brushes as Cloners:
· The Clone Color button
· The Clone Method

Using Clone Color

You can turn almost any brush into a cloner with the Clone Color button. The Clone Color button causes a brush to pick up color from the source image while staying true to its own stroke nature.

To use Clone Color
· Choose Main Window menu -> Window -> Show Color to display the Color palette.
· Click the Clone Color button [image] on the Color palette.
If you change brushes while cloning images, you must click the Clone Color button [image] again.

Choosing a Clone Method

You can turn almost any brush into a clone variant by setting its method to Clone on the Brush palette and choosing the Clone method category appropriate to the intended media style.

Because the clone methods use a full set of pixels from the original document for each brush, you get a truer copy of the original than you might by using the Clone Color option. Unlike the Clone Color option, the clone methods preserve the original image texture in the clone.

To choose a clone method
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· On the Brush palette, click the tab General.
· Choose from the Method box Clone.
· Choose from the Category box a category appropriate to the intended media style.


Selections

A variety of tools and commands for creating selection in a document are available.Each time you create a new selection, the the old one is deactivated.

You can use selections in several ways:
· To constrain brush strokes.
· To isolate an area of the canvas for applying an image effect.
· To choose the area of the canvas you want to cut or copy.

You can save and reload selections. Loading a selection reactivates it on the canvas.

Artweaver uses Pixel-based selections which are defined at the pixel level. Pixel-based selections provide 256 levels of protection to the canvas. Each pixel in the selection sets a level of protection for its corresponding color pixel in the RGB image. Opaque areas of the selection provide 100% protection and prevent brush strokes and effects from marking the canvas. Clear areas of the selection provide no protection and allow brush strokes and effects to mark the canvas. Where the selection is shaded, or semitransparent, brush strokes and effects are partially applied. This lets you paint and apply effects with varying levels of intensity within a selection.

Turning Selections Off

To turn off a selection
· Choose Main Window menu -> Select -> Deselect.

Inverting Selections

Inverting a selection switches the selected and nonselected areas.

To invert a selection
· Choose Main Window menu -> Select -> Inverse.


Creating Selections

Creating Shaped Selections

You can create rectangular selections, oval selections, or freehand selections and you can also select the entire canvas.

To select an area

To select | Do the following
An oval area | Choose the Shape Selection tool [image] from the Tools palette and set the Shape to Oval [image] . Drag in the document window to select an area.
A rectangular area | Choose the Shape Selection tool [image] from the Tools palette and set the Shape to Rectangular [image] . Drag in the document window to select an area.
A freehand area | Choose the Lasso tool [image] from the Tools palette. Draw a freehand border around the area you want to select in the document window.
The entire canvas | Choose Main Window menu -> Select -> All.
When working with the Shape Selection tool, you can constrain your selection to a square or a circle by holding down [image] on the keyboard while making your selection.
If you draw an open path with the Lasso tool, Artweaver connects the endpoints with a straight line before creating the selection.

Creating Selections Automatically

The Magic Wand tool lets you create selections automatically. Groups of pixels are selected based on color. You can adjust settings to control the range of colors, and you can choose to include contiguous or noncontiguous pixels.

You can also use the Color Range command to create a noncontiguous selection based on a range of colors.

To select an area using the Magic Wand tool
· In the Tools palette, click the Magic Wand tool [image] .
· On the property bar, adjust any of the following settings:
· Tolerance controls the amount of variance allowed from the selected color. Higher values create a larger range of colors.
· Contiguous, when enabled, selects contiguous pixels.
· On the property bar, click on the following buttons:
· [image] New Selection
· [image] Add to Selection
· [image] Subtract from Selection
· [image] Intersect with Selection
· In the document window, click to select the color to make the selection.

You can restore the default settings by clicking the tool symbol on the property bar and choose Reset Tool.

To create a selection with the Color Range command
· Choose Main Window menu -> Select -> Color Range.
· In the Color Range dialog box, click on the Preview window to select a color.
· Adjust the Tolerance slider to control the color range.
· Down the Preview window, enable the Selection box to show the selected area. Enable the Image box to show the source image.

Creating Selections from Layers

You can create a selection from a layer. The new selection outlines the contents of the layer, without modifying the layer.

To create a selection from a layer
· On the Layers palette, select a layer.
· Choose Main Window menu -> Select -> Layer Content.


Saving and Loading Selections

When you save a selection, you create a file, which you can later reuse as a selection. Loading a selection reactivates a selection that was saved in a file.

Saving Selections

Saving a selection creates a file. That way you can later reuse the selection or modify it. When you save a selection, you can create a new file or modify an existing file.

To save a selection to new file
· Create a selection.
· Choose Main Window menu -> Select -> Save Selection.
· Enter a name for the selection in the Filename box.

To modify an existing file
· Load a selection from a file you want to modify.
· Edit the selection with Selection tools from the Tools palette.
· Save the selection into the file, which should be modified.

Loading Selections

Loading a selection reactivates a selection that was saved in a file. When you load a selection, the current selection is replaced.

To load a selection from a file
· Choose Main Window menu -> Select -> Load Selection.
· In the Load Selection dialog box, choose a file.


Layers

When you open a new document und create an image, your work appears on a Background layer. You can add additional layers to a document, which allows you to manipulate the visual elements in the image independently of the Background layer.

Think of layers as several clear slides laminated one above the other. Areas of a layer that don’t contain images remain transparent and under laying layers seem through. You can change the structure of an image, by changing the arrangement and properties of layers.

Functionality of layers.

The Layers Palette

All layers in a document are listed on the Layers palette. The Layers palette manages the hierarchy of layers and includes controls for selecting, hiding, locking, deleting, and grouping layers.

The Layers palette

You can access many layer functions and commands using the buttons at the bottom of the palette, and the palette menu (accessed by clicking the palette menu arrow in the upper-right corner of the palette).

The Layers palette displays icons next to each layer to indicate the layer’s characteristics. The following table lists the icons that appear in the Layers palette:
Grouped layer
Expanded group
Visible layer
Hidden layer
Locked layer

On the Layers palette, you can set layer opacity and choose a blend method.

To display the Layers palette
· Choose Main Window menu -> Windows -> Show Layers.


Editing Layers

Creating Layers

You can create new layers directly from the Layers palette and also duplicate layers. When you create a layer, the new layer is placed directly above the selected layer. If the selected layer belongs to a group, the new layer is added to the group.

To create a new layer
· Click on the New Layer button [image] at the bottom of the Layers palette.
You can also create a new layer by clicking the palette menu arrow and choosing New Layer.

To duplicate a layer
· On the Layers palette, select a layer you want to duplicate.
· Click the palette menu arrow, and choose Duplicate Layer.

Naming Layers

When you create a layer or group, a default name is assigned. As you add more layers and groups to a document, it can become difficult to remember which image data each layer contains. By assigning descriptive names to layers and groups, you can easily keep track of the separate pieces of an image.

To name a layer or group
· On the Layers palette, select a layer or group.
· Click the palette menu arrow, and choose Layer Properties.
· In the Layer Properites dialog box. type a new name in the Name box.
You cannot change the name of the Background layer.

Deleting Layers

You can delete layers from the Layers palette, but you cannot delete the Background layer.

To delete a layer
· On the Layers palette, select a layer.
· Click the palette menu arrow, and choose Delete Layer.
You can also delete a layer by clicking on the Delete Layer button [image] at the bottom of the Layers palette.

Merge Layers with the Background Layer

Merging a layer or group flattens its contents with the Background layer. Once you merge a layer, you can no longer access the layer’s content separately.

To merge Layers with the Background Layer
· On the Layers palette, click the palette menu arrow, and choose Flatten Image.

Changing Layer Size

When you create a layer, the new layer has always the same size and position as the Background layer. If the layer position is changed or the layer is transformed, the layer size is not equal to the Background layer anymore. While working on this layer, not editable areas can appear.

To change Layer Size to Background Layer size
· On the Layers palette, click the palette menu arrow, and choose Layer to Image Size.


Managing Layers

To manage layers in a document, you can select, lock, view, or hide them, or change their position in the hierarchy.

Selecting Layers

Selecting a layer lets you make changes to it. If no layers are selected, any changes you make apply to the Background layer. The Auto Select Layer option changes your ability how to select and move layers with the Move tool.

To select a layer
· Do one of the following:
· Click a layer on the Layers palette.
· Choose the Move tool [image] from the property bar and click anywhere in a layer's content. If the option Auto Select Layer on the property bar is enabled, the corresponding layer under the cursor is selected automatically.
You can also press [image] on the keyboard to activate the Move tool.

Moving Layers

When a layer is selected, you can move its content anywhere in the document to create a new image layout.

To move a layer
· On the Layers palette, select a layer or group.
· In the Tools palette, click the Move tool [image] , and drag the selected layer in the document window.

Locking Layers

You can lock layers to avoid accidentally changing them. Different properties in a layer can be locked.

To lock or unlock a layer
· On the Layers palette, select a layer.
· On the Layers palette, click one of the following buttons to lock or unlock the layer:
· [image] Position locks the ability to move a layer.
· [image] Transparency locks the ability to modify the transparency information of a layer.
· [image] All locks the ability to move a layer and to modify the transparency information of a layer.
The Locked Layer icon [image] appears next to a locked layer on the Layers palette.

Viewing Layers

You can control your view of an image in the document window by changing layer visibility settings.

To show or hide a layer or the Background layer
· On the Layers palette, click the eye icon [image] next to the layer name or the background layer.
When the eye is shut [image] , the layer is hidden in the document window. When the eye is open [image] , the layer is visible in the document window.

Changing Layer Hierarchy

The hierarchy of layers determines how the layers in a document interact. When you create a new layer, it appears on top of the existing layers. Depending on its transparency, and blend characteristics, the layer will obscure or otherwise affect the underlying layers.

A document’s layer hierarchy is reflected on the Layers palette. The bottom layer is always the Background layer.

Change the hierarchy of layers to create different effects.

To change a layer's position in the hierarchy
· On the Layers palette, select the layer you want to reposition in the hierarchy.
· From the Main Window menu, choose Layer, and one of the following:
· Send To Back
· Bring To Front
· Send Backward
· Bring Forward
You can also reposition a layer by clicking the Send Backward [image] , or Bring Forward [image] buttons on the Layers palette.


Image Hose

With the Image Hose you can instead of painting with color, paint with images, not just one or two at a stroke, but a variety of changing images. The images change thereby while painting the stroke.

To use the Image Hose, you must first load it with images. The images are kept in special nozzle files. A nozzle file can contain any number of images. Usually, the images are similar and form a logical series.

Content of a nozzle file with different images.

The images in a nozzle file are indexed, e.g. when you paint with the Image Hose, you can request specific images from the nozzle index. You can select images from the nozzle index sequentially, randomized, by pen pressure, by stroke direction, or dragging speed.

The Nozzles palette allows you to select and manage nozzles.

The Nozzles palette.

To select a nozzle and use the Image Hose
· In the Tools palette, click the Brush tool [image] .
· On the Brush palette, choose the Image Hose from the Brush Type selector.
· Click the arrow next the nozzle preview. The Nozzles palette is expanded.
· Choose a nozzle from the Nozzles palette.
· Make a brush stroke on the canvas.


Adjusting and Editing Nozzles for the Image Hose

You can change the Opacity, Size, and Spacing of nozzle images and determine the placement of images in the stroke. In addition, brush expression settings let you use different pen attributes, such as pressure, and direction to change the size of images on the fly.

Adjusting Opacity, Size, and Color

You can use the property bar to adjust the Opacity and Size of nozzle images or to mix them with the background color.

The Opacity slider allows you to make nozzle images semitransparent. If you move the slider all the way to the left, the images become invisible.

The Size slider lets you control the size of image elements delivered by the the Image Hose. If you move the the slider all the way to right, the images become very huge.

The Grain slider allows you to mix the background color with the nozzle images. As you move the slider to the left, more of the background color appears in the images.

Spacing Images

You control the space between images with the Spacing settings on the Brush palette. Moving the Spacing slider to the right increases the spacing between image elements.

Placing Images (Indexing)

When you paint with the Image Hose, the nozzle images are requested by rules. This operation is called indexing and controls, how particular images from the many images in a nozzle file are selected.

Left: Indexing with the rule Sequential. Right: Indexing with the rule Random

To choose Indexing Rules
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· On the Brush palette, click the tab Advanced.
· Choose an Indexing rule for the expression Hose:

Expression | Description
None | Returns one element only; the first in the rank.
Pressure | Indexes images based on pen pressure. Greater pressure selects images from later in the rank
Random | Selects images from the rank at random.
Direction | Indexes images from the rank based on the direction of the stroke.
Sequential | Indexes images in the order they appear in the rank; moving left to right, and top to bottom.
Speed | Indexes images from the rank based on the speed of the stroke. A faster stroke delivers elements from later in the rank.


Captured Brushes

You can create your own brush shapes. Any shape is possible. All custom brush shapes are stored as captured brushes and can be reused.

Choosing Captured Brushes

All captured brushes are store in the Captured palette. The Captured palette allows you to select and manage captured brushes.

Captured palette

To choose captured brushes
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· Click the arrow next the captured preview. The Captured palette is expanded.
· Choose a captured brush from the Captured palette.

To import captured brushes
· Click the arrow next the captured preview. The Captured palette is expanded.
· On the Captured palette, click the palette menu arrow, and choose Import Captured.
· Choose the file you want to import, and click on OK.

To edit captured brushes
· Click the arrow next the captured preview. The Captured palette is expanded.
· On the Captured palette, click the palette menu arrow, and choose Edit Captured.
· Modify the image.
· Select all of your image.
· On the Captured palette, click the palette menu arrow, and choose Capture Brush.
· Type a new name for the captured brush and click OK.

Bildteil aufnehmen

You can create your own brush shapes from any shape.

When you have created a shape you like, select and capture it.

To capture a brush shape
· On a white background, draw a brush shape in black. Use shades of gray to define what you wish to be partially transparent areas of the brush.
· Select the brush shape. Artweaver uses the selected area to map brush size.
· Choose Main Window menu -> Window -> Show Brush to display the Brush palette.
· Click the palette menu arrow and choose Capture Brush.
· Type a new name for the captured brush and click OK.
You can paint with a captured brush just as you would with other brushes.

Generating Captured Brushes

You can automatically create captured brushes. With different options you can specify how the captured brushes should look like.

Generate Captured dialog box

To generate a captured brush
· Click the arrow next the captured preview. The Captured palette is expanded.
· On the Captured palette, click the palette menu arrow, and choose Generate Captured.
· Adjust the settings to modify the captured brush.
· Type a new name for the captured brush and click OK.


Text Layers

A text layer holds a single text block. When you create a new text layer with the Text tool, that layer becomes visible on the Layers palette, and is represented by a [image] icon. With the text on a separate layer, you can work with your image without changing any text attributes. You can select the text layer and edit it at any time.

Creating Text

The Text tool property bar contains all controls for setting text appearance. You can change the font, size, and color of the text.

To add text to an image
· In the Tools palette, click the Text tool [image] .
· Click anywhere in the document window, and type.
· Confirm the text input [image] to create the text layer.

Changing the Font, Size, and Color of Text

You can change the font and size of text by selecting a text layer on the Layers palette and then setting options on the property bar.

To change the font, size, and color of text
· In the Tools palette, click the Text tool [image] .
· On the Layers palette, select a text layer.
· Do one of the following:
· Choose a font: On the property bar, choose a font from the Font menu.
· Choose a size: On the property bar, choose or type a size in the Size box.
· Choose a color: On the property bar, choose a color from the Color square.

Rasterize Text Layers

You can convert text layers into normal layers so that you can apply effects, and gradations.

To rasterize text layers
· On the Layers palette, select a text layer.
· Click the palette menu arrow and choose Rasterize Layer.
When a text layer is rasterized, you cannot convert it back to a text layer.


Preset Manager

You can use the Preset Manager to manage all Artweaver materials. Following materials can be managed: Brushes, Paper Textures, Nozzles, Captured Brushes, Gradients, and Color Sets. You can name, delete, import, and export materials.

For brushes, you can additional move brush variants into several brush categories. And you can also create new brush categories.

The Preset Manager

To name materials
· Choose Main Window menu -> Edit -> Preset Manager to display the Preset Manager.
· Choose a material from the Preset box.
· Select a material and click the Rename button.
· Type a new name for the material and click OK.
When you choose the Brushes preset, you can expand the the Brushes palette and select a brush category by clicking the arrow next the brush category preview.

To delete materials
· Choose Main Window menu -> Edit -> Preset Manager to display the Preset Manager.
· Choose a material from the Preset box.
· Select a material and click the Delete button.

To import materials
· Choose Main Window menu -> Edit -> Preset Manager to display the Preset Manager.
· Choose a material from the Preset box.
· Select a material and click the Import button.
· Choose the file you want to import, and click on OK.

To export materials
· Choose Main Window menu -> Edit -> Preset Manager to display the Preset Manager.
· Choose a material from the Preset box.
· Select a material and click the Export button.
· Enter a name for the material in the Filename box, and click OK.
It is not possible to use the export command in any material category. In such categories the Export button is disabled.

To move brush variants
· Choose Main Window menu -> Edit -> Preset Manager to display the Preset Manager.
· Choose Brushes from the Preset box.
· Select a brush variant and click the Move button.
· Choose a brush category in the Destination box and click OK.

To move a brush variants into a new brush category
· Choose Main Window menu -> Edit -> Preset Manager to display the Preset Manager.
· Choose Brushes from the Preset box.
· Select a brush variant and click the Move button.
· Choose Create new Category in the Destination box and enter a name for the new category in the New Category box.
· Click OK to create the new category.
You can only create new brush categories by moving existing brush variants. Creating a brush category without brush variants is not possible.


Keyboard Shortcuts

Tools

Tool | Keyboard Shortcut
Move tool |
Hand tool |
Zoom tool |
Crop tool |
Shape-Selection tool |
Lasso tool |
Magic Wand tool |
Brush tool |
Line tool |
Paint Bucket tool |
Dropper tool |
Shape tool |
Text tool |
Gradient tool |
Perspective Grid tool |
Eraser tool |
Stamp tool |

Zoom

Description | Keyboard Shortcut
Zoom In | +
Zoom Out | +
Actual Pixels | +

File

Description | Keyboard Shortcut
New | +
Open | +
Close | +
Save | +
Save As | + [image] +
Iterative Save | + [image] +
Page Setup | + [image] +
Print with Preview | + [image] +
Print | +
Exit | +

Edit

Description | Keyboard Shortcut
Undo | +
Redo | +
Cut | +
Copy | +
Copy Merged | + [image] +
Paste | +
Free Transform | +
Purge Histories | +
Preferences | +

Image

Description | Keyboard Shortcut
Auto Levels | + [image] +
Color Balance | +
Hue/Saturation | +
Invert | +
Fill | +

Layer

Description | Keyboard Shortcut
New Layer | + [image] +
Layer via Copy | +
Send to Back | + [image] +
Bring to Front | + [image] +
Send Backward | + [image] +
Bring Forward | + [image] +
Merge Layer Group | +
Merge Down | +
Merge Visible | + [image] +

Select

Description | Keyboard Shortcut
Select All | +
Deselect | +
Select Inverse | + [image] +
Feather | + [image] +

View

Description | Keyboard Shortcut
Zoom In | +
Zoom Out | +
Fit To Pixels | +
Actual Pixels | + [image] +
Show/Hide Grid | + [image] + [image] +
Show/Hide Perspective Grid | + [image] +
Show/Hide Guides | +
Lock Guides | + [image] +
Snap | +
Show/Hide Impasto | +
Screen Mode |

Window

Description | Keyboard Shortcut
Close all | + [image] +
Hide Palettes | + [image] or
Show/Hide Tools | +
Show/Hide Property Bar | +
Show/Hide Preview | +
Show/Hide Color | +
Show/Hide Brush | +
Show/Hide Layers | +

Other

Description | Keyboard Shortcut
Show Online-Help |
Switch Foreground and Background Colors |
"Lock transparent pixels" on/off |
Increase Brush Size | +
Decrease Brush Size | +


Which color depths are supported by Artweaver?

Artweaver supports only 24-bit color depth. Other color depths (e.g. 256-colors) are automatically converted to 24-bit. I.e. pictures with another color depth than 24-bit are converted to 24-bit when opening/importing.


For what can I use Artweaver?

Artweaver is meant for users, who want to bring their creativity on digital paper. Artweaver can be used for different work, e.g.:
· Digital art, for creating realistic works.
· Photo improvements, for converting photos into realistic paintings and changing or improving parts of them.


Where does Artweaver differ to other graphic programs?

Artweaver is a program to simulate tools as naturally as possible, while traditional graphic programs are intended for processing images.


Is it allowed to use Artweaver in companies without limitations?

Artweaver is Freeware, i.e. you may use Artweaver both for private ones as well as for commercial purposes without limitations.


Why only so a low version number?

Artweaver is still in development, therefore Artweaver does not possess all planned functions yet. Only if all functions are present and the stability is satisfy, it will give a version 1.0.


Artweaver is still in development, therefore Artweaver does not possess all planned functions yet. Only if all functions are present and the stability is satisfy, it will give a version 1.0.